aboutsummaryrefslogtreecommitdiffhomepage
path: root/ci
diff options
context:
space:
mode:
authorGravatar Martin Herkt <lachs0r@srsfckn.biz>2018-06-25 19:16:42 +0200
committerGravatar Martin Herkt <lachs0r@srsfckn.biz>2018-06-25 19:16:42 +0200
commit7428272f93f025e86b070ad1628d0dbe24a6328a (patch)
tree78c66654324040ad86f3ceb237efeafc2be33210 /ci
parent4a0fcdfbd84d9b93dd9b4cee457b7c1894fbb124 (diff)
ci: Use custom container for Travis builds
Temporary solution. For now, this builds using a container image based on openSUSE Tumbleweed with the current FFmpeg release. More containers will be added (at least with git snapshots of FFmpeg and libass), and Travis will eventually be replaced with something we have more control over.
Diffstat (limited to 'ci')
-rwxr-xr-xci/build-tumbleweed.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/build-tumbleweed.sh b/ci/build-tumbleweed.sh
new file mode 100755
index 0000000000..46449b0994
--- /dev/null
+++ b/ci/build-tumbleweed.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+./bootstrap.py
+./waf configure \
+ --enable-cdda \
+ --enable-dvdread \
+ --enable-dvdnav \
+ --enable-libmpv-shared \
+ --enable-zsh-comp \
+ --enable-manpage-build \
+ --enable-libarchive \
+ --enable-dvbin \
+ --enable-vulkan \
+ --enable-shaderc
+./waf build --verbose